use Test::More tests => 3;
use Test::Exception;

use Env::Path;
use File::Basename;

use App::Env;

use strict;
use warnings;

# remove funtools from our path.
my $path = Env::Path->PATH;
$path->Remove( map { dirname( $_ ) } $path->Whence( 'funcalc' ) );

ok( 0 == scalar Env::Path->PATH->Whence( 'funcalc' ),
    'clean initial environment' );

lives_ok { App::Env->import( 'Funtools' ) } "App::Env->import( 'Funtools' )";

ok ( scalar Env::Path->PATH->Whence( 'funcalc' ), "look for funcalc" );
